Issue1606

classification
Title: Google (download jython) lands on page containing only old releases.
Type: Severity: major
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: juneau001 Nosy List: amak, juneau001, zyasoft
Priority: Keywords:

Created on 2010-05-06.10:12:13 by amak, last changed 2010-08-04.16:53:54 by zyasoft.

Messages
msg5761 (view) Author: Alan Kennedy (amak) Date: 2010-05-06.10:12:12
I would expect the top result for http://www.google.co.uk/search?q=download+jython to be the download page for the latest jython, i.e. 2.5, whose URL is

http://www.jython.org/downloads.html

But instead the top result is the download page for the old versions, i.e. 2.1 and 2.2

http://www.jython.org/download.html

Notice "downloads" vs. "download".

We need to sort this out. Either

A: Make both "downloads.html" and "download.html" point to the download page for the latest jython, and move the older releases to a different page, such as "archive_downloads.html"

B: Make both the old and new releases available from both download pages.

If we want people to realise that there is a jython 2.5, then we have to show it to them when they search for "download jython".
msg5913 (view) Author: Jim Baker (zyasoft) Date: 2010-07-20.16:39:57
Josh is about to deploy a redirect from download to downloads.
msg5937 (view) Author: Jim Baker (zyasoft) Date: 2010-08-04.16:53:54
Redirect link is in place, so closing.
History
Date User Action Args
2010-08-04 16:53:54zyasoftsetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg5937
2010-07-20 16:39:57zyasoftsetassignee: juneau001
resolution: accepted
messages: + msg5913
nosy: + juneau001
2010-07-20 05:33:22zyasoftsetnosy: + zyasoft
2010-05-06 10:12:13amakcreate